﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.OfficeChart;
using System.Drawing;
using Syncfusion.Presentation;
using Syncfusion.Licensing;

namespace WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void CreatePresentation(object sender, RoutedEventArgs e)
        {
            //Opens a PowerPoint presentation
            IPresentation pptxDoc = Presentation.Open(@"../../Data/Template.pptx");

            //Gets the slide from the PowerPoint presentation to perform cloning
            ISlide clonedSlide = pptxDoc.Slides[2].Clone();

            //Add the cloned slide to the PowerPoint presentation
            pptxDoc.Slides.Add(clonedSlide);

            //Save the PowerPoint presentation.
            pptxDoc.Save("Output.pptx");

            System.Diagnostics.Process.Start("Output.pptx");

        }
    }
}
